package com.lifepay.lifepayrp750xdemo.activities;

import android.widget.TextView;

import com.lifepay.lib.TransactionInfo;
import com.lifepay.lib.utils.ConvertUtils;
import com.lifepay.lifepayrp750xdemo.TestData;
import com.lifepay.lifepayrp750xdemo.activities.base.FBaseMenuBar;
import com.lifepay.lifepayrp750xdemo.utils.ActivityUtils;
import com.lifepay.lifepayrp750xdemo.R;
import com.lifepay.lifepayrp750xdemo.activities.base.BaseFragmentActivity;

import org.androidannotations.annotations.AfterViews;
import org.androidannotations.annotations.Click;
import org.androidannotations.annotations.EActivity;
import org.androidannotations.annotations.FragmentById;
import org.androidannotations.annotations.ViewById;

@EActivity(R.layout.payment_summary)
public class PaymentSummaryActivity extends BaseFragmentActivity {
    @FragmentById
    protected FBaseMenuBar fMenuBar;
    @ViewById
    public TextView tvDesc;

    @AfterViews
    public void init() {
        fMenuBar.hideBackBtn();
        String txt = "";
        TransactionInfo p;
        if (TestData.TRANSACTION_INFO != null) {
            p = TestData.TRANSACTION_INFO;
            txt += "Оплата прошла успешно\n";
        } else {
            p = TestData.REFUND_INFO;
            txt += "Возврат прошел успешно\n";
        }
        txt += "Номер транзакции: "+p.getLifepayTransactionNumber() + "\n";
        txt += "Код авторизации: "+p.getAuthorizationCode() + "\n";
        txt += "Код ответа: "+p.getResponseCode() + "\n";

        String datetime = ConvertUtils.createDatestring(p.getCreated());
        if (datetime != null) {
            txt += "Дата и время: " + datetime + "\n";
        }

        txt += "RRN: "+p.getRrn() + "\n";
        txt += "PAN: "+ConvertUtils.maskCard(p.getPan()) + "\n";
        if (p.getAid() != null) {
            txt += "AID: " + p.getAid() + "\n";
        }
        if (p.getTvr() != null) {
            txt += "TVR: " + p.getTvr() + "\n";
        }
        if (p.getCardLabel() != null) {
            txt += "CardLabel: " + p.getCardLabel() + "\n";
        }

        if (p.getCompanyName() != null) {
            txt += "Компания: " + p.getCompanyName() + "\n";
        }
        if (p.getInn() != null) {
            txt += "ИНН: " + p.getInn() + "\n";
        }
        tvDesc.setText(txt);
    }

    @Click(R.id.btnClose)
    public void onCloseClick() {
        back();
    }

    @Override
    public void back() {
        TestData.REFUND_INFO = null;
        ActivityUtils.startActivity(this, MainActivity_.class);
    }
}
