package com.lifepay.lifepayrp750xdemo.activities.base;

import org.androidannotations.annotations.EFragment;
import org.androidannotations.annotations.UiThread;

import com.lifepay.lifepayrp750xdemo.R;

import android.app.Activity;
import android.app.ProgressDialog;
import android.content.Context;
import android.os.Bundle;
import android.support.v4.app.Fragment;
import android.view.View;

@EFragment
public abstract class BaseFragment extends Fragment {
	protected Context context;
	private ProgressDialog progressDialog;

	protected void showWaitingDialog(boolean isCancelable) {
		if (context != null && !((Activity) context).isFinishing()) {
			try {
				if (progressDialog == null) {
					progressDialog = new ProgressDialog(context);
					progressDialog.setCancelable(isCancelable);
					progressDialog.setMessage(getText(R.string.wait));
					progressDialog.setOwnerActivity((Activity) context);
				} else {
					progressDialog.setOwnerActivity((Activity) context);
				}
				progressDialog.show();
			} catch (Exception ex) {
				;
			}

		}
	}

	protected void hideWaitingDialog() {
		if (context != null && progressDialog != null
				&& progressDialog.isShowing()) {
			try {
				progressDialog.dismiss();
			} catch (Exception e) {
				e.printStackTrace();
			}
		}
	}

	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		context = this.getActivity();
	}

	@UiThread
	public void hide() {
		if (this.getView() != null)
			this.getView().setVisibility(View.GONE);
	}

	@UiThread
	public void show() {
		if (this.getView() != null)
			this.getView().setVisibility(View.VISIBLE);
	}

	public void backPressed() {

	}
}
