package com.lifepay.lifepayrp750xdemo.activities.base;

import android.app.Activity;
import android.app.ProgressDialog;
import android.content.Context;
import android.os.Bundle;
import android.support.v4.app.FragmentActivity;
import android.view.inputmethod.InputMethodManager;
import org.androidannotations.annotations.EActivity;

@EActivity
public abstract class BaseFragmentActivity extends FragmentActivity {
    protected String TAG = BaseFragmentActivity.class.getSimpleName();

    protected Context context;
    private ProgressDialog progressDialog;

    protected void showWaitingDialog(String text, boolean isCancelable) {
        if (context != null && !((Activity) context).isFinishing()) {
            if (progressDialog == null) {
                progressDialog = new ProgressDialog(context);
                progressDialog.setCancelable(isCancelable);
                progressDialog.setMessage(text);
                progressDialog.setOwnerActivity((Activity) context);
            } else {
                progressDialog.setOwnerActivity((Activity) context);
            }
            progressDialog.show();
        }
    }

    protected void hideWaitingDialog() {
        if (context != null && progressDialog != null
                && progressDialog.isShowing()) {
            try {
                progressDialog.dismiss();
            } catch (Exception e) {
                e.printStackTrace();
            }
        }
    }

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        // TODO Auto-generated method stub
        super.onCreate(savedInstanceState);
        context = this;
    }

    @Override
    public void onBackPressed() {
        back();
    }

    public abstract void back();

    public void hideKeyboard() {
        try {
            InputMethodManager imm = (InputMethodManager) getSystemService(Context.INPUT_METHOD_SERVICE);
            imm.hideSoftInputFromWindow(getWindow().getCurrentFocus()
                    .getWindowToken(), 0);
        } catch (Throwable t) {

        }
    }

    public void showKeyboard() {
        try {
            InputMethodManager imm = (InputMethodManager) getSystemService(Context.INPUT_METHOD_SERVICE);
            imm.toggleSoftInput(InputMethodManager.SHOW_FORCED, 0);
        } catch (Throwable t) {

        }
    }
}
